package _VisualDVM.ComponentsServer.BugReportFile;
import Common.Database.Tables.iDBTable;
import Common.Visual.DataSetControlForm;
import _VisualDVM.ComponentsServer.BugReportFile.UI.BugReportFilesForm;

import javax.swing.*;
public class BugReportFilesDBTable extends iDBTable<BugReportFile> {
    public BugReportFilesDBTable() {
        super(BugReportFile.class);
    }
    @Override
    public String getSingleDescription() {
        return "файл";
    }
    @Override
    public String getPluralDescription() {
        return "файлы";
    }
    @Override
    protected DataSetControlForm createUI(JPanel mountPanel) {
        return new BugReportFilesForm(this, mountPanel);
    }
}
